gnutls_privkey_set_flags(3)

NAME
gnutls_privkey_set_flags - API function

SYNOPSIS
#include <gnutls/abstract.h>

void gnutls_privkey_set_flags(gnutls_privkey_t key, unsigned int flags);

ARGUMENTS

gnutls_privkey_t key
    A key of type gnutls_privkey_t

unsigned int flags
    flags from the gnutls_privkey_flags

DESCRIPTION
This function will set flags for the specified private key, after it is generated. Currently this is useful for the GNUTLS_PRIVKEY_FLAG_EXPORT_COMPAT to allow exporting a "provable" private key in backwards compatible way.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/